* {
    font-family: 'Ubuntu', 'calibri';
}

html {
    overflow-x: hidden;
    width: 100%;
}

body {
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    margin: 0;
    background-color: white;
}

#splash-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #ffffff; /* Set your desired background color */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999; /* Ensure it's above other content */
}

.header {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 4em;
    background-color: white;
    transition: top 0.3s ease-in-out;
    display: grid;
    grid-template-columns: 25% 40% 35%;
    z-index: 90;
    border: 1px solid #e5e7eb;
}

.header .logo {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 23px
}

@media only screen and (max-width: 767px) {
    .header {
        grid-template-columns: 80% 20%;
    }

    .header .logo {
        display: none;
    }
}

.header .mid {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 30px;
    width: 100%;
}

@media only screen and (max-width: 767px) {
    .header .mid {
        padding-left: 10px;
        gap: 20px;
    }
}

.header .mid .search {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 100%;
}

.header .mid .search .search-result-div {
    position: absolute;
    padding: 10px 5px;
    background: #fff;
    top: 45px;
    display: inline-flex;
    flex-direction: column;
    gap: 3px;
    border: 0.5px solid #cccccc7a;
    border-radius: 9px;
    width: 100%;
    visibility: hidden;
    height: 20em;
}

.header .mid .search .search-result-div[active="true"] {
    visibility: visible;
}

.header .mid .search .search-result-div .show-result-div {
    overflow-y: auto;
}

@media only screen and (max-width: 767px) {
    .header .mid .search .search-result-div {
        width: 145%;
        left: -28%;
    }
}

.header .mid .search input {
    height: 40px;
    padding: 0 9px;
    outline: none;
    border: 0;
    border-radius: 9px 0px 0px 9px;
    width: 100%;
}

.header .mid .search input::placeholder {
    color: #ccc;
}

.header .right {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 30px;
    padding-left: 30px
}


.header .right button {
    border: 0;
    border-radius: 9px;
    height: 40px;
    width: 200px;
    background: white;
}

.header .right img {
    height: 30px;
    width: 30px;
}


.header .right .item.has-drop {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 80%;
    align-items: center;
    justify-content: center;
}

.header .right .item.has-drop .drop {
    position: absolute;
    padding: 10px 5px;
    background: #fff;
    top: 37px;
    display: inline-flex;
    flex-direction: column;
    gap: 3px;
    border: 0.5px solid #cccccc7a;
    border-radius: 9px;
    visibility: hidden;
}

.header .right .item.has-drop:hover .drop {
    visibility: visible;
}

.header .right .item.has-drop .drop div {
    cursor: pointer;
    display: flex;
    gap: 10px;
    padding: 10px 7px;
    align-items: center;
    border-radius: 5px;
    min-width: max-content;
}

.header .right .item.has-drop .drop div.uinfo {
    flex-direction: column;
    align-items: flex-start;
    gap: 6px;
    cursor: default;
    font-weight: bold;
}

.header .right .item.has-drop .drop div:hover {
    background: #cccccc7a;
}

.header .right .item.has-drop .drop div.uinfo:hover {
    background: white;
    cursor: default;
}

.header .right .item.has-drop .drop div i {
    font-size: 14px
}

.header .right .item.has-drop .drop hr {
    width: 100%;
    border: 0.2px solid #cccccc7a
}

.header .right .item.has-drop .drop.u11 {
    left: -50px;
    min-width: 170px
}

@media only screen and (max-width: 767px) {
    .header .right button, .header .right img {
        display: none;
    }

    .header .right .item.has-drop .drop.u11 {
        left: -175px;
        margin: 7px;
        min-width: 170px
    }
}

#login-form {
    width: 80%;
    height: 34em;
    background-color: white;
    position: fixed;
    z-index: 92;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border-radius: 9px;
    display: grid;
    grid-template-columns: 60% 40%
}


#form-wrapper {
    width: 100%;
    height: 100%;
    background-color: #000;
    opacity: 0.6;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 91;
}

#login-form .form-cont {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 15px
}

#login-form .form-div {
    width: 90%;
    height: 90%;
    border-radius: 9px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    padding: 10px 0px;
    gap: 20px;
    border: 0.2px solid #cccccc7a
}

#login-form .form-div .img-box {
    width: 90%;
    height: 50%;
    border-radius: 9px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#login-form .form-div .img-box img {
    width: 100%;
    height: 100%;
    border-radius: inherit
}

#login-form .img-box-1 img {
    width: 100%;
    height: 100%;
    border-radius: 15px 0 0 15px;
}

#login-form .form-div input {
    width: 90%;
    height: 3em;
    border-radius: 9px;
    outline: none;
    font-size: 17px;
    border: 0px;
    padding: 0 6px;
    border: 0.2px solid #cccccc7a
}

#login-form .form-div button {
    background: lime;
    font-weight: bold;
    color: white;
    width: 90%;
    height: 3em;
    border-radius: 9px;
    outline: none;
    font-size: 17px;
    padding: 0 6px;
    border: 0.2px solid #cccccc7a
}


@media only screen and (max-width: 767px) {
    #login-form {
        display: flex;
    }

    #login-form .img-box-1 {
       display: none;
    }
}


.search-div-header {
    display: flex;
    align-items: center;
    gap: 10px;
    position: relative;
    padding-bottom: 8px;
    border-bottom: 0.2px solid #cccccc7a;
}

.search-div-header button {
    font-size: 14px;
    border: 0.2px solid #cccccc7a;
    padding: 6px 20px;
    border-radius: 9px;
}

.search-div-header button.active {
    background-color: black;
    color: white;
}

.search-div-header .close-btn {
    position: absolute;
    right: 8px;
    top: 3px;
    font-size: 13px;
    padding: 5px;
    background-color: rgba(255, 0, 0, 0.39);
    color: white;
    border-radius: 100px;
    cursor: default;
}


